import argparse
from . import actions

def main():
    parser = argparse.ArgumentParser(description="CLI school agenda.")

    parser = argparse.ArgumentParser()
    subparsers = parser.add_subparsers(title='commands')

    parser_create = subparsers.add_parser('create', help='Creating agenda.')
    parser_create.add_argument('create')

    parser_add = subparsers.add_parser('add', help='Adding new task in agenda.')
    parser_add.add_argument('add')

    parser_done = subparsers.add_parser('done', help='Removing task in agenda.')
    parser_done.add_argument('id')
    parser_done.add_argument('name')

    parser_restore = subparsers.add_parser('restore', help='Restoring task in agenda.')
    parser_restore.add_argument('restore_id')
    parser_restore.add_argument('restore_name')

    serve = subparsers.add_parser('serve', help="Creating local server for listing all tasks in browser.")
    serve.add_argument('-n', '--name', help="Agenda name.", required="True")
    serve.add_argument('-p', '--port', help="Port for local server.")

    args = parser.parse_args()

    actions.SchoolActions(vars(args)).run()

if __name__ == "__main__":
    main()
